set xlabel "Etape"
set ylabel "Taux d'infection"
set terminal png

set output "images/propagation/nerds_infected_rate_evolution_comparison.png"
plot "data/propagation/nerds/no_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/nerds/node_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/nerds/edge_immune_graph" using 1:($2/($2+$3))

set output "images/propagation/random_infected_rate_evolution_comparison.png"
plot "data/propagation/random/no_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/random/node_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/random/edge_immune_graph" using 1:($2/($2+$3))

set output "images/propagation/preferential_infected_rate_evolution_comparison.png"
plot "data/propagation/preferential/no_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/preferential/node_immune_graph" using 1:($2/($2+$3)),\
"data/propagation/preferential/edge_immune_graph" using 1:($2/($2+$3))